local gfx <const> = playdate.graphics

drawSystem = filteredSystem({ draw = T.SelfFunction }, function(e, dt)
    e:draw()
end)

drawRectanglesSystem = filteredSystem({ position = T.XyPair, drawAsRectangle = { size = T.XyPair } }, function(e, dt)
    gfx.fillRect(e.position.x, e.position.y, e.drawAsRectangle.size.x, e.drawAsRectangle.size.y)
end)
